package org.openxma.addons.ui.table.customizer.common;

import at.spardat.enterprise.fmt.IFmt;


public class CommonFilterModel extends CommonDataModel {

    private static final long serialVersionUID = 1L;
    private String internalValue;
    private FilterOperator codFilterOperator;

    public CommonFilterModel(FilterOperator op, String internalValue) {
        this.codFilterOperator = op;
        this.internalValue = internalValue;
    }

    public CommonFilterModel(FilterOperator op, String externalValue, IFmt formatter) {
        this.codFilterOperator = op;
        this.internalValue = formatter.parse(externalValue);
    }
    
    public CommonFilterModel() {
    }

    public void setCodFilterOperator(FilterOperator codFilterOperator) {
        this.codFilterOperator = codFilterOperator;
    }

    public FilterOperator getCodFilterOperator() {
        return codFilterOperator;
    }

    public void setTxtValue(String txtValue) {
        this.internalValue = txtValue;
    }

    public String getTxtValue() {
        return internalValue;
    }
}
